%define qtmajor_p 1
%define qtmajor 5
%define qtminor 0
%define qtsubminor 2
%define rel 1

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define qttarballdir qtmultimedia-opensource-src-%{qtversion}

%define libqt5multimedia %mklibname qt5multimedia %qtmajor
%define libqt5multimedia_d %mklibname qt5multimedia -d
%define libqt5multimedia_p_d %mklibname qt5multimedia-private -d

%define libqt5multimediawidgets %mklibname qt5multimediawidgets %qtmajor
%define libqt5multimediawidgets_d %mklibname qt5multimediawidgets -d
%define libqt5multimediawidgets_p_d %mklibname qt5multimediawidgets-private -d

%define libqgsttools_p %mklibname qgsttools_p %qtmajor
%define libqgsttools_p_d %mklibname qgsttools_p -d

%define libqtmultimediaquick_p %mklibname qtmultimediaquick_p %qtmajor
%define libqtmultimediaquick_p_d %mklibname qtmultimediaquick_p -d

Name: qtmultimedia5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt-project.org
Source0: http://get.qt.nokia.com/qt/source/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel
BuildRequires: libalsa-devel
BuildRequires: pulseaudio-devel
BuildRequires: openal-devel
BuildRequires: pkgconfig(gstreamer-0.10)
BuildRequires: pkgconfig(gstreamer-base-0.10)
BuildRequires: pkgconfig(gstreamer-interfaces-0.10)
BuildRequires: pkgconfig(gstreamer-audio-0.10)
BuildRequires: pkgconfig(gstreamer-video-0.10)
BuildRequires: pkgconfig(gstreamer-pbutils-0.10)
BuildRequires: qt5core-private-devel
BuildRequires: qtqml5-devel
BuildRequires: qtquick5-devel
#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

%files
%_qt5_plugindir/audio/*.so
%_qt5_plugindir/mediaservice/*.so
%_qt5_plugindir/playlistformats/*.so
%_qt5_datadir/qml/QtAudioEngine
%_qt5_datadir/qml/QtMultimedia

#------------------------------------------------------------------------------

%package -n %{libqt5multimedia}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5multimedia}
Qt%{qtmajor} Lib.

%files -n %{libqt5multimedia}
%{_qt5_libdir}/libQt5Multimedia.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5multimedia_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/KDE and Qt
Requires: %{libqt5multimedia} = %version
Provides: libqtmultimedia5-devel = %version
Provides: libqt5multimedia-devel = %version
Provides: qtmultimedia5-devel = %version
Provides: qt5multimedia-devel = %version

%description -n %{libqt5multimedia_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqt5multimedia_d}
%{_qt5_libdir}/cmake/Qt5Multimedia
%{_qt5_includedir}/QtMultimedia
%exclude %{_qt5_includedir}/QtMultimedia/%qtversion
%{_qt5_libdir}/libQt5Multimedia.so
%{_qt5_libdir}/libQt5Multimedia.prl
%{_qt5_libdir}/pkgconfig/Qt5Multimedia.pc
%{_qt5_prefix}/mkspecs/modules/qt_lib_multimedia.pri
%{_qt5_examplesdir}/multimedia

#------------------------------------------------------------------------------

%package -n %{libqt5multimedia_p_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/KDE and Qt
Requires: %{libqt5multimedia_d} = %version
Provides: libqtmultimedia5-private-devel = %version
Provides: libqt5multimedia-private-devel = %version
Provides: qtmultimedia5-private-devel = %version
Provides: qt5multimedia-private-devel = %version

%description -n %{libqt5multimedia_p_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqt5multimedia_p_d}
%{_qt5_includedir}/QtMultimedia/%qtversion

#------------------------------------------------------------------------------

%package -n %{libqt5multimediawidgets}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqt5multimediawidgets}
Qt%{qtmajor} Lib.

%files -n %{libqt5multimediawidgets}
%{_qt5_libdir}/libQt5MultimediaWidgets.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqt5multimediawidgets_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/KDE and Qt
Requires: %{libqt5multimediawidgets} = %version
Provides: libqtmultimediawidgets5-devel = %version
Provides: libqt5multimediawidgets-devel = %version
Provides: qtmultimediawidgets5-devel = %version
Provides: qt5multimediawidgets-devel = %version

%description -n %{libqt5multimediawidgets_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqt5multimediawidgets_d}
%{_qt5_libdir}/cmake/Qt5MultimediaWidgets
%{_qt5_includedir}/QtMultimediaWidgets
%exclude %{_qt5_includedir}/QtMultimediaWidgets/%qtversion
%{_qt5_libdir}/libQt5MultimediaWidgets.so
%{_qt5_libdir}/libQt5MultimediaWidgets.prl
%{_qt5_libdir}/pkgconfig/Qt5MultimediaWidgets.pc
%{_qt5_prefix}/mkspecs/modules/qt_lib_multimediawidgets.pri
%{_qt5_examplesdir}/multimediawidgets

#------------------------------------------------------------------------------

%package -n %{libqt5multimediawidgets_p_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/KDE and Qt
Requires: %{libqt5multimediawidgets_d} = %version
Provides: libqtmultimediawidgets5-private-devel = %version
Provides: libqt5multimediawidgets-private-devel = %version
Provides: qtmultimediawidgets5-private-devel = %version
Provides: qt5multimediawidgets-private-devel = %version

%description -n %{libqt5multimediawidgets_p_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqt5multimediawidgets_p_d}
%{_qt5_includedir}/QtMultimediaWidgets/%qtversion

#------------------------------------------------------------------------------

%package -n %{libqgsttools_p}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqgsttools_p}
Qt%{qtmajor} Lib.

%files -n %{libqgsttools_p}
%{_qt5_libdir}/libqgsttools_p.so.%{qtmajor_p}*

#------------------------------------------------------------------------------

%package -n %{libqgsttools_p_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/KDE and Qt
Requires: %{libqgsttools_p} = %version
Provides: libqgsttools5-devel = %version
Provides: libqgsttools-devel = %version
Provides: qgsttools5-devel = %version
Provides: qgsttools-devel = %version

%description -n %{libqgsttools_p_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqgsttools_p_d}
%{_qt5_libdir}/libqgsttools_p.prl
%{_qt5_libdir}/libqgsttools_p.so


#------------------------------------------------------------------------------

%package -n %{libqtmultimediaquick_p}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqtmultimediaquick_p}
Qt%{qtmajor} Lib.

%files -n %{libqtmultimediaquick_p}
%{_qt5_libdir}/libQt5MultimediaQuick_p.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtmultimediaquick_p_d}
Summary: Devel files needed to build apps based on QtVersit
Group:    Development/KDE and Qt
Requires: %{libqgsttools_p} = %version
Provides: libqtmultimediaquick_p5-devel = %version
Provides: libqt5multimediaquick_p-devel = %version
Provides: qt5multimediaquick_p-devel = %version
Provides: qtqtmultimediaquick_p5-devel = %version

%description -n %{libqtmultimediaquick_p_d}
Devel files needed to build apps based on QtVersit.

%files -n %{libqtmultimediaquick_p_d}
%{_qt5_libdir}/libQt5MultimediaQuick_p.prl
%{_qt5_libdir}/libQt5MultimediaQuick_p.so
%{_qt5_includedir}/QtMultimediaQuick_p
%{_qt5_libdir}/pkgconfig/Qt5MultimediaQuick_p.pc
%{_qt5_datadir}/mkspecs/modules/qt_lib_qtmultimediaquicktools.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5

#------------------------------------------------------------------------------
%make

%install
make INSTALL_ROOT=$RPM_BUILD_ROOT install

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la



%changelog

* Wed Apr 17 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410282
- New version 5.0.2

* Fri Feb 01 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 393966
- New version 5.0.1 Final

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392357
- New version 5.0.1 rc1

* Fri Jan 25 2013 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 392295
- imported package qtmultimedia5

